Name: dhcpcd
Version: 4.0.0
Release: alt0.1.rc4

Summary: DHCP Client
License: GPL
Group: System/Servers

Url: http://developer.berlios.de/projects/dhcpcd/
Source: %name-%version.tar.gz
Source1: 80-update-chrooted
Patch2: dhcpcd-4.0.0-alt-localhost.localdomain.patch
Patch3: dhcpcd-4.0.0-alt-hostname_hook.patch
Packager: Stanislav Ievlev <inger@altlinux.org>

%description
dhcpcd is an implementation of the DHCP client specified in RFC2131.

It gets the host information (IP address, netmask, broadcast address, etc.)
from a DHCP server and configures the network interface of the machine on
which it is running. It also tries to renew the lease time according to RFC2131.

%prep
%setup -q
%patch2 -p1
%patch3 -p1

%build
%make_build CFLAGS="%optflags -DCMDLINE_COMPAT" LIBEXECDIR=%_libexecdir

%install
%make_install install DESTDIR=%buildroot LIBEXECDIR=%_libexecdir
install -m 0644 %SOURCE1 %buildroot/%_libexecdir/%name-hooks/

%files
/sbin/*
%_man8dir/*
%_man5dir/*
%doc README
%config(noreplace) %_sysconfdir/%name.conf
%_libexecdir/%name-hooks
%_libexecdir/%name-run-hooks

%changelog
* Mon Jul 28 2008 Mikhail Efremov <sem@altlinux.org> 4.0.0-alt0.1.rc4
- 4.0.0-rc4
- dhcpcd-4.0.0-alt-makefile.patch and dhcpcd-4.0.0-alt-noipv4ll_option_fix.patch
  removed (obsolete)

* Mon Jul 28 2008 Mikhail Efremov <sem@altlinux.org> 4.0.0-alt0.1.rc3
- version 4.0.0-rc3

* Fri Mar 28 2008 Michael Shigorin <mike@altlinux.org> 1:3.0.17-alt4
- rollback to 3.0.17 for there are too many regressions (seemingly
  specific to us as no upstream problems are spotted) and I'm unable
  to reliably reproduce the problem; see also #15042 and #15131
- if anyone needs 3.2.x features please look into Daedalus and 
  preferably help with finding out the trouble source (or patch)

* Thu Mar 06 2008 Michael Shigorin <mike@altlinux.org> 3.0.17-alt2.M40.1
- built for M40 (reportedly good enough and tested, see #14643)
- spec cleanup

* Tue Feb 26 2008 Michael Shigorin <mike@altlinux.org> 3.2.3-alt0.2
- added a configure.c patch by shrek@ (mentioned in #14643)
- seems tested & working

* Mon Feb 25 2008 Michael Shigorin <mike@altlinux.org> 3.2.3-alt0.1
- NMU: 3.2.3 (#14643)
- spec macro abuse cleanup
- updated patch1, patch2, patch3
- removed patch4 (obsolete)
- fixed %%config(noreplace) typo in %%files

* Mon May 21 2007 Stanislav Ievlev <inger@altlinux.org> 3.0.17-alt3
- fix -H option (backport from 3.1.0 with fixes)

* Mon May 14 2007 Stanislav Ievlev <inger@altlinux.org> 3.0.17-alt2
- ignore -D option (for backward compatibility with previous installations)

* Tue May 08 2007 Stanislav Ievlev <inger@altlinux.org> 3.0.17-alt1
- 3.0.17

* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.3.22pl4-alt3.0
- Automated rebuild.

* Thu Apr 21 2005 Denis Ovsienko <pilot@altlinux.ru> 1.3.22pl4-alt3
- improved alt-config patch to fix #6133

* Thu Jul 01 2004 Dmitry V. Levin <ldv@altlinux.org> 1.3.22pl4-alt2
- %_sysconfdir/dhcpc/%name.exe:
  + added wlan* interface support (#4348);
  + minor fixes (#4158).

* Mon Oct 20 2003 Dmitry V. Levin <ldv@altlinux.org> 1.3.22pl4-alt1
- Updated to 1.3.22pl4, rediffed patches.
- Install %_sysconfdir/dhcpc/%name.exe by default;
  Patch %_sysconfdir/dhcpc/%name.exe to run update_chrooted.
  (should address #2406).

* Fri Nov 15 2002 Dmitry V. Levin <ldv@altlinux.org> 1.3.22pl3-alt1
- 1.3.22pl3.

* Thu Jul 11 2002 Dmitry V. Levin <ldv@altlinux.org> 1.3.22pl1-alt1
- 1.3.22pl1.
- Fixed ntp driftfile location.
- Avoid false config files renaming.
- Added PidDir option support, /var/run by default (mdk).

* Mon Nov 05 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.3.21pl1-alt1
- 1.3.21pl1.
- Removed patch0 - now it's outdated

* Sun Feb 25 2001 Dmitry V. Levin <ldv@fandra.org> 1.3.19pl7-ipl1mdk
- 1.3.19pl7.

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 1.3.19pl6-ipl1mdk
- RE adaptions.
- Feature: execute scripts on interface up/down.

* Thu Dec 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.19pl4-1mdk
- new and shiny source.

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.19pl1-2mdk
- Add patch for gcc2.96(rh).

* Tue Aug 08 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.19pl1-1mdk
- rebuild to use _sysconfdir
- s|1.3.18pl5|1.3.19pl1|

* Fri Jul 28 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.18pl5-3mdk
- BM, macros

* Tue Apr 18 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.18pl5-2mdk
- Add patch for dynamic build
- remove bzip and strip file

* Fri Mar 31 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.18pl5-1mdk
- Correct group
- Update to 1.3.18-pl5

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.3.18-pl3
- add /etc/dhcpc

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.3.17pl9

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Apr 19 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Wed Dec 23 1998 Jeff Johnson <jbj@redhat.com>
- mark default route up.

* Sun Jun  7 1998 Jeff Johnson <jbj@redhat.com>
- Fix packet alignment problems on sparc.
- build root.

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed May  6 1998 Alan Cox
- fixed some potential buffer exploits reported by Chris Evans

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc, updated to 0.65

* Mon Apr 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed summary line... was a summary for tar.
